Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Rename rails.rb -> rails/all.rb and rails/core.rb -> rails.rb

  • Loading branch information...
commit e749424dfa38a0300a621b772eae96f9cc5d2555 1 parent fdc62cd
Carl Lerche authored
View
1  actionmailer/lib/action_mailer/rails.rb
@@ -1,4 +1,5 @@
require "action_mailer"
+require "rails"
module ActionMailer
class Plugin < Rails::Plugin
View
1  actionpack/lib/action_controller/rails.rb
@@ -1,4 +1,5 @@
require "action_controller"
+require "rails"
module ActionController
class Plugin < Rails::Plugin
View
3  actionpack/lib/action_view/rails.rb
@@ -1 +1,2 @@
-require "action_view"
+require "action_view"
+require "rails"
View
3  activemodel/lib/active_model/rails.rb
@@ -1 +1,2 @@
-require "active_model"
+require "active_model"
+require "rails"
View
1  activerecord/lib/active_record/rails.rb
@@ -4,6 +4,7 @@
# In the future, this might become an optional require.
require "active_record"
require "action_controller/rails"
+require "rails"
module ActiveRecord
class Plugin < Rails::Plugin
View
3  activeresource/lib/active_resource/rails.rb
@@ -1 +1,2 @@
-require "active_resource"
+require "active_resource"
+require "rails"
View
118 railties/lib/rails.rb
@@ -1,15 +1,105 @@
-require "rails/core"
-
-%w(
- active_model
- active_record
- action_controller
- action_view
- action_mailer
- active_resource
-).each do |framework|
- begin
- require "#{framework}/rails"
- rescue LoadError
+require "pathname"
+
+require 'active_support'
+require 'active_support/core_ext/kernel/reporting'
+require 'active_support/core_ext/logger'
+require 'action_dispatch'
+
+require 'rails/initializable'
+require 'rails/application'
+require 'rails/plugin'
+require 'rails/railties_path'
+require 'rails/version'
+require 'rails/rack'
+require 'rails/paths'
+require 'rails/configuration'
+require 'rails/deprecation'
+require 'rails/ruby_version_check'
+
+# For Ruby 1.8, this initialization sets $KCODE to 'u' to enable the
+# multibyte safe operations. Plugin authors supporting other encodings
+# should override this behaviour and set the relevant +default_charset+
+# on ActionController::Base.
+#
+# For Ruby 1.9, UTF-8 is the default internal and external encoding.
+if RUBY_VERSION < '1.9'
+ $KCODE='u'
+else
+ Encoding.default_external = Encoding::UTF_8
+end
+
+RAILS_ENV = (ENV["RAILS_ENV"] || ENV["RACK_ENV"] || "development").dup unless defined?(RAILS_ENV)
+
+module Rails
+ # Needs to be duplicated from Active Support since its needed before Active
+ # Support is available. Here both Options and Hash are namespaced to prevent
+ # conflicts with other implementations AND with the classes residing in Active Support.
+ # ---
+ # TODO: w0t?
+ class << self
+ def application
+ @@application ||= nil
+ end
+
+ def application=(application)
+ @@application = application
+ end
+
+ # The Configuration instance used to configure the Rails environment
+ def configuration
+ application.configuration
+ end
+
+ def initialize!
+ application.initialize!
+ end
+
+ def initialized?
+ @initialized || false
+ end
+
+ def initialized=(initialized)
+ @initialized ||= initialized
+ end
+
+ def logger
+ if defined?(RAILS_DEFAULT_LOGGER)
+ RAILS_DEFAULT_LOGGER
+ else
+ nil
+ end
+ end
+
+ def backtrace_cleaner
+ @@backtrace_cleaner ||= begin
+ # Relies on ActiveSupport, so we have to lazy load to postpone definition until AS has been loaded
+ require 'rails/backtrace_cleaner'
+ Rails::BacktraceCleaner.new
+ end
+ end
+
+ def root
+ application && application.config.root
+ end
+
+ def env
+ @_env ||= ActiveSupport::StringInquirer.new(RAILS_ENV)
+ end
+
+ def cache
+ RAILS_CACHE
+ end
+
+ def version
+ VERSION::STRING
+ end
+
+ def public_path
+ @@public_path ||= self.root ? File.join(self.root, "public") : "public"
+ end
+
+ def public_path=(path)
+ @@public_path = path
+ end
end
-end
+end
View
15 railties/lib/rails/all.rb
@@ -0,0 +1,15 @@
+require "rails"
+
+%w(
+ active_model
+ active_record
+ action_controller
+ action_view
+ action_mailer
+ active_resource
+).each do |framework|
+ begin
+ require "#{framework}/rails"
+ rescue LoadError
+ end
+end
View
105 railties/lib/rails/core.rb
@@ -1,105 +0,0 @@
-require "pathname"
-
-require 'active_support'
-require 'active_support/core_ext/kernel/reporting'
-require 'active_support/core_ext/logger'
-require 'action_dispatch'
-
-require 'rails/initializable'
-require 'rails/application'
-require 'rails/plugin'
-require 'rails/railties_path'
-require 'rails/version'
-require 'rails/rack'
-require 'rails/paths'
-require 'rails/configuration'
-require 'rails/deprecation'
-require 'rails/ruby_version_check'
-
-# For Ruby 1.8, this initialization sets $KCODE to 'u' to enable the
-# multibyte safe operations. Plugin authors supporting other encodings
-# should override this behaviour and set the relevant +default_charset+
-# on ActionController::Base.
-#
-# For Ruby 1.9, UTF-8 is the default internal and external encoding.
-if RUBY_VERSION < '1.9'
- $KCODE='u'
-else
- Encoding.default_external = Encoding::UTF_8
-end
-
-RAILS_ENV = (ENV["RAILS_ENV"] || ENV["RACK_ENV"] || "development").dup unless defined?(RAILS_ENV)
-
-module Rails
- # Needs to be duplicated from Active Support since its needed before Active
- # Support is available. Here both Options and Hash are namespaced to prevent
- # conflicts with other implementations AND with the classes residing in Active Support.
- # ---
- # TODO: w0t?
- class << self
- def application
- @@application ||= nil
- end
-
- def application=(application)
- @@application = application
- end
-
- # The Configuration instance used to configure the Rails environment
- def configuration
- application.configuration
- end
-
- def initialize!
- application.initialize!
- end
-
- def initialized?
- @initialized || false
- end
-
- def initialized=(initialized)
- @initialized ||= initialized
- end
-
- def logger
- if defined?(RAILS_DEFAULT_LOGGER)
- RAILS_DEFAULT_LOGGER
- else
- nil
- end
- end
-
- def backtrace_cleaner
- @@backtrace_cleaner ||= begin
- # Relies on ActiveSupport, so we have to lazy load to postpone definition until AS has been loaded
- require 'rails/backtrace_cleaner'
- Rails::BacktraceCleaner.new
- end
- end
-
- def root
- application && application.config.root
- end
-
- def env
- @_env ||= ActiveSupport::StringInquirer.new(RAILS_ENV)
- end
-
- def cache
- RAILS_CACHE
- end
-
- def version
- VERSION::STRING
- end
-
- def public_path
- @@public_path ||= self.root ? File.join(self.root, "public") : "public"
- end
-
- def public_path=(path)
- @@public_path = path
- end
- end
-end
View
9 railties/lib/rails/generators/rails/app/templates/config/boot.rb
@@ -13,12 +13,11 @@
require 'rubygems'
end
-require 'rails'
-# To skip frameworks you're not going to use, change require "rails"
-# to require "rails/core" and list the frameworks that you are going
-# to use.
+require 'rails/all'
+# To pick the frameworks you want, remove 'require "rails/all"'
+# and list the frameworks that you want:
#
-# require "rails/core"
+# require "rails"
# require "active_model/rails"
# require "active_record/rails"
# require "action_controller/rails"
View
2  railties/test/abstract_unit.rb
@@ -20,7 +20,7 @@
require 'active_support/test_case'
require 'action_controller'
-require 'rails'
+require 'rails/all'
# TODO: Remove these hacks
class TestApp < Rails::Application
View
2  railties/test/application/generators_test.rb
@@ -14,7 +14,7 @@ def app_const
end
def with_config
- require "rails"
+ require "rails/all"
require "rails/generators"
yield app_const.config
end
View
4 railties/test/initializer/check_ruby_version_test.rb
@@ -19,14 +19,14 @@ def setup
def assert_rails_boots
assert_nothing_raised "It appears that rails does not boot" do
- require "rails"
+ require "rails/all"
end
end
def assert_rails_does_not_boot
$stderr = File.open("/dev/null", "w")
assert_raises(SystemExit) do
- require "rails"
+ require "rails/all"
end
end
end
View
2  railties/test/initializer/path_test.rb
@@ -14,7 +14,7 @@ def setup
end
RUBY
use_frameworks [:action_controller, :action_view, :action_mailer, :active_record]
- require "rails"
+ require "rails/all"
require "#{app_path}/config/environment"
@paths = Rails.application.config.paths
end
View
2  railties/test/isolation/abstract_unit.rb
@@ -207,6 +207,6 @@ class Test::Unit::TestCase
`#{Gem.ruby} #{require_environment} #{RAILS_FRAMEWORK_ROOT}/railties/bin/rails #{tmp_path('app_template')}`
File.open("#{tmp_path}/app_template/config/boot.rb", 'w') do |f|
f.puts "require '#{environment}'" if require_environment
- f.puts "require 'rails'"
+ f.puts "require 'rails/all'"
end
end
View
2  railties/test/plugins/configuration_test.rb
@@ -5,7 +5,7 @@ class ConfigurationTest < Test::Unit::TestCase
def setup
build_app
boot_rails
- require "rails"
+ require "rails/all"
end
test "config is available to plugins" do
View
2  railties/test/plugins/framework_extension_test.rb
@@ -7,7 +7,7 @@ class FrameworkExtensionTest < Test::Unit::TestCase
def setup
build_app
boot_rails
- require "rails"
+ require "rails/all"
end
test "rake_tasks block is executed when MyApp.load_tasks is called" do
Please sign in to comment.
Something went wrong with that request. Please try again.